NNG_HTTP_CLIENT_FREE(3http)

NAME
nng_http_client_free - free HTTP client

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    void nng_http_client_free(nng_http_client *client);

DESCRIPTION

The nng_http_client_free() frees the HTTP client and any associated resources referenced by client.

    Note

    Any connections created by nng_http_client_connect() are unaffected, and so the caller must close those explicitly if desired.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_http_client_alloc(3), nng_http_client_connect(3), nng(7)